ON_MeshCurvatureStats Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Member Functions

| ON_MeshCurvatureStats ()
| ~ON_MeshCurvatureStats ()
| ON_MeshCurvatureStats (const ON_MeshCurvatureStats &)
ON_MeshCurvatureStats & | operator= (const ON_MeshCurvatureStats &)
void | Destroy ()
void | EmergencyDestroy ()
bool | Set (ON::curvature_style, int, const ON_SurfaceCurvature *, const ON_3fVector *, double=0.0)
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

ON::curvature_style | m_style
double | m_infinity
int | m_count_infinite
int | m_count
double | m_mode
double | m_average
double | m_adev
ON_Interval | m_range

## Detailed Description

Definition at line 272 of file opennurbs_mesh.h.

## Constructor & Destructor Documentation

ON_MeshCurvatureStats::ON_MeshCurvatureStats | ( |  | ) |

ON_MeshCurvatureStats::~ON_MeshCurvatureStats | ( |  | ) |

ON_MeshCurvatureStats::ON_MeshCurvatureStats | ( | const ON_MeshCurvatureStats & |  | ) |

## Member Function Documentation

void ON_MeshCurvatureStats::Destroy | ( |  | ) |

void ON_MeshCurvatureStats::EmergencyDestroy | ( |  | ) |

ON_MeshCurvatureStats& ON_MeshCurvatureStats::operator= | ( | const ON_MeshCurvatureStats & |  | ) |

bool ON_MeshCurvatureStats::Read | ( | ON_BinaryArchive & |  | ) |

bool ON_MeshCurvatureStats::Set | ( | ON::curvature_style | ,
|  | int | ,
|  | const ON_SurfaceCurvature * | ,
|  | const ON_3fVector * | ,
|  | double | = `0.0`
| ) |  |

bool ON_MeshCurvatureStats::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

double ON_MeshCurvatureStats::m_adev

Definition at line 301 of file opennurbs_mesh.h.

double ON_MeshCurvatureStats::m_average

Definition at line 300 of file opennurbs_mesh.h.

int ON_MeshCurvatureStats::m_count

Definition at line 298 of file opennurbs_mesh.h.

int ON_MeshCurvatureStats::m_count_infinite

Definition at line 297 of file opennurbs_mesh.h.

double ON_MeshCurvatureStats::m_infinity

Definition at line 295 of file opennurbs_mesh.h.

double ON_MeshCurvatureStats::m_mode

Definition at line 299 of file opennurbs_mesh.h.

ON_Interval ON_MeshCurvatureStats::m_range

Definition at line 303 of file opennurbs_mesh.h.

ON::curvature_style ON_MeshCurvatureStats::m_style

Definition at line 293 of file opennurbs_mesh.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h